<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Produk extends CI_Controller {

	public function __construct()
    {
		
        parent::__construct();
        $this->load->model("UserModel");
		$this->load->model("UmkmModel");
		$this->load->model("KategoriModel");
		$this->load->model("AbsensiModel");
		$this->load->model("AbsenModel");
		$this->load->model("ProdukModel");

		if($this->UserModel->isNotLogin()) {
			redirect(site_url('login'));
		} elseif(!($this->UserModel->isPemilik())) {
			redirect(site_url('admin/dashboard'));
		} 

		


		$get = $this->input->get();
		if($get['id_umkm']==NULL){
			redirect(site_url('user/dashboard'));
			
		}
    }

	public function index()
	{
		
		$get = $this->input->get();

		if($this->input->get()){
			if(isset($get['del_msg'])){
				$data['del_msg']= $get['del_msg'];
			}
			
		}
		
		$umkm = $this->UmkmModel->getUmkmsById($get['id_umkm']);
		$pemilik = $this->UserModel->getUsersById($umkm->id_pemilik);
		$daftarkategori = $this->KategoriModel->getKategori();
		$daftarproduk = $this->ProdukModel->getProdukByUmkmId($umkm->id_umkm);

		// var_dump($this->input->post());die();

		

		$cekabsensiakhir = $this->AbsensiModel->getLatestSignedAbsensiCountByUmkmId($umkm->id_umkm);

		if($cekabsensiakhir > 0 ){
			$absensiakhir = $this->AbsensiModel->getLatestSignedAbsensiByUmkmId($umkm->id_umkm);
			$aset = $absensiakhir->aset;
			$karyawan_l = $absensiakhir->karyawan_l;
			$karyawan_p = $absensiakhir->karyawan_p;
			$data['listabsensi'] = $this->AbsensiModel->getSignedAbsensiByUmkmId($umkm->id_umkm);
		} else {
			$aset = $umkm->aset_awal;
			$karyawan_l = $umkm->karyawan_l;
			$karyawan_p = $umkm->karyawan_p;
			$data['listabsensi'] = array();
		}
		
			
			$data['omset'] = $umkm->omset_awal;
			$data['karyawan_l'] = $karyawan_l;
			$data['karyawan_p'] = $karyawan_p;
			$data['aset'] = $aset;
			$data['daftarkategori'] = $daftarkategori;
			$data['daftarproduk'] = $daftarproduk;
			$data['umkm'] = $umkm;
			$data['pemilik'] = $pemilik;
			$data['user_logged'] = $this->session->userdata('user_logged');


			
			$this->load->view('user/produk',$data);
		
	}

	
}
